/*
 * jdcs_get_last_no_char_index.c
 *
 * Copyright 2019-2023 Ichiji Tadokoro. All Rights Reserved.
 */

#include "_jdcs.h"

/*
 * Class:     rabbit_dcs_Dcs
 * Method:    getLastNoCharIndex
 * Signature: ()I
 */
JNIEXPORT jint JNICALL Java_rabbit_dcs_Dcs_getLastNoCharIndex
  (JNIEnv *jenv, jobject jobj) {
	_JDcsInfo *info;
	GET_DCS_INFO_BY_OBJECT(jenv, jobj, info);
	return(get_no_char_count(info->dcs) == 0? -1: (info->dcs)->_l_no_char_offset);
}
