jpath=/usr/lib/jvm/java-17-openjdk-arm64/include
jpath2=/usr/lib/jvm/java-17-openjdk-arm64/include/linux
cpath=`pwd`/../../cpp

exec_cc() {
	kwd=$1
	for file in $cpath/$kwd/*.c
	do
		gcc -c -I$cpath/dcs/src -I$cpath/jdcs/src -I~/../usr/include -I$jpath -I$jpath2 -O3 -fmessage-length=0 -fPIC $file
	done
}

if [ -e objs ]; then
	rm -R objs
fi
mkdir objs objs/dcs objs/dcs/conv objs/jdcs

cd objs/dcs
exec_cc dcs/src
cd conv
exec_cc dcs/src/conv
cd ../../jdcs
exec_cc jdcs/src
cd ../..

gcc -shared -o libdcs.so objs/dcs/*.o objs/dcs/conv/*.o objs/jdcs/*.o

gcc -L . -I$cpath/dcs/src -I$cpath/jdcs/src -I~/../usr/include -I$jpath -I$jpath2 -o dcs -fmessage-length=0 -fPIE -fPIC -O3 $cpath/dcs_main/src/dcs_main.c -l dcs
