/*
 * jdcs_is_euc_long.c
 *
 * Copyright 2019-2023 Ichiji Tadokoro. All Rights Reserved.
 */

#include "_jdcs.h"

/*
 * Class:     rabbit_dcs_Dcs
 * Method:    isEucLong
 * Signature: (J)Z
 */
JNIEXPORT jboolean JNICALL Java_rabbit_dcs_Dcs_isEucLong
  (JNIEnv *jenv, jobject jobj, jlong jeuc) {
	_JDcsInfo *info;
	GET_DCS_INFO_BY_OBJECT(jenv, jobj, info);
	return dcs_is_euc_long(info->dcs, jeuc);
}
