/*
 * jdcs_release_dcs.c
 *
 * Copyright 2019-2023 Ichiji Tadokoro. All Rights Reserved.
 */

#include "_jdcs.h"

/*
 * Class:     rabbit_dcs_Dcs
 * Method:    _releaseDcs
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_rabbit_dcs_Dcs__1releaseDcs
  (JNIEnv *jenv, jobject jobj) {
	_JDcsInfo *info;
	GET_DCS_INFO_BY_OBJECT(jenv, jobj, info);
	release_dcs(info->dcs);

	free(info);
}
