/*
 * jdcs_set_suppress.c
 *
 * Copyright 2019-2023 Ichiji Tadokoro. All Rights Reserved.
 */

#include "_jdcs.h"

/*
 * Class:     rabbit_dcs_Dcs
 * Method:    setSuppress
 * Signature: (Z)V
 */
JNIEXPORT void JNICALL Java_rabbit_dcs_Dcs_setSuppress
  (JNIEnv *jenv, jobject jobj, jboolean jis_suppress) {
	_JDcsInfo *info;
	GET_DCS_INFO_BY_OBJECT(jenv, jobj, info);
	dcs_set_suppress(info->dcs, jis_suppress);
}
