/*
 * jdcs_utfmac_exists.c
 *
 * Copyright 2019-2023 Ichiji Tadokoro. All Rights Reserved.
 */

#include "_jdcs.h"

/*
 * Class:     rabbit_dcs_Dcs
 * Method:    utfmacExists
 * Signature: ()Z
 */
JNIEXPORT jboolean JNICALL Java_rabbit_dcs_Dcs_utfmacExists
  (JNIEnv *jenv, jobject jobj) {
	_JDcsInfo *info;
	GET_DCS_INFO_BY_OBJECT(jenv, jobj, info);
	return dcs_utfmac_exists(info->dcs);
}
