package rabbit.dcs;

import android.graphics.Typeface;
import android.text.TextPaint;
import android.text.style.RelativeSizeSpan;

public class RelativeSizeMonospaceSpan extends RelativeSizeSpan {
    public RelativeSizeMonospaceSpan(float size) {
        super(size);
    }

    @Override
    public void updateDrawState(TextPaint textPaint) {
        super.updateDrawState(textPaint);
        textPaint.setTypeface(Typeface.MONOSPACE);
    }
}
