package rabbit.dcs;

public class ValuesEn extends Values {
    public ValuesEn() {
        helpPath = "help/en/index.html";
        internalStorage = "Internal Storage"; // "内部ストレージ";
        externalStorage = "SD Card"; // "ＳＤカード";
        nothingExternalStorage = "SD card isn't installed"; // "ＳＤカードは未装着です";
        waitTitle = "Processing... "; // "処理中…";
        // "アクセス許可がなければ何も処理できません。確認ダイアログが表示されない場合はシステムの設定からアクセス許可を行って下さい。詳しくは「ヘルプ」を参照して下さい。";
        permiTitle = "Nothing can be done without permissions. If the confirmation dialog is not displayed, please set the access permission from the system settings. See \"HELP\" for details.";
        title = "Dcs - Japanese code Judg/Conv"; // "Dcs - 日本語コード判定／変換";
        logGenerateErrorTitle = "Log generate error"; // "ログ生成エラー";
        pressAndHoldToConvert = "Long press to convert to %s"; // "長押しで %s に変換"
        // "判定と変換の条件を設定して下さい。"
        setJudgmentAndConversionConditions = "Set judgment and conversion conditions.";
        textTypesEditing = "Text types editing"; // "テキスト・タイプ編集"
        // "選択対象のテキスト・タイプを編集して下さい。"
        editTheSelectedTextTypes = "Edit the selected text types.";
        // "バイナリー・タイプ編集"
        binaryTypesEditing = "Binary types editing";
        // "除外するバイナリー・タイプを編集して下さい。"
        editBinaryTypesToExclude = "Edit binary types to exclude.";
        settings = "Settings"; // "設定"
        // "設定を初期値に戻しますか？"
        doYouWantToSetTheDefaultValue = "Do you want to set the default value?";
        // "表示ファイルが最大数を超えました(%d > %d)";
        maximumNumberOfDisplayFilesHasBeenExceeded = "The maximum number of display files has been exceeded(%d > %d).";
        // "処理対象ファイルが最大表示数を超えました(%d > %d)。表示せずに更新しますか？";
        updateWithoutConfirmation = "The number of files to be processed has exceeded the maximum display number(%d > %d).\nWould you like to update without confirmation?";
        stop = "STOP"; // ""中断";
        ok = "OK"; // "確認";
        close = "CLOSE"; // "閉じる";
        yes = "YES"; // "はい";
        no = "NO"; // "いいえ";
        cancel = "Cancel"; // "取消し";
        convert = "Convert"; // "変換";
        help = "Help"; // "ヘルプ";
        quit = "Quit"; // "終了";
        selectAll = "Select all"; // "すべて選択";
        value = "No. of selections"; // "選択数"
        value2 = ""; // "件"

        extractionCondition = "ExtrCond"; // "抽出条件"
        including = "Incl"; // "含む"
        excluding = "Excl"; // "除く"
        text = "Text  "; // "テキスト　"
        binary = "Binary"; // "バイナリー"
        noType = "No type"; // "タイプなし"
        ok2 = " OK "; // "確　認"
        inputType = "   Input type"; // "入力タイプ"
        outputType = "Output type"; // "出力タイプ"
        linFeedJudgment = "LF Judge"; // "改行判定"
        reset = "Reset"; // "初期値に戻す"
        linFeedEditing = "    LF Edit"; // "改行編集"
        utf8mac1char = "UTF8-MAC 1char"; // "UTF8-MAC １文字"
        value2b = "Overwrite "; // "上書き　"
        sameCode = "Same CD"; // "同じコード"
        similarCode = "Similar CD"; // "類似コード"
    }
}
