/*
 * jdcs_set_ltype.c
 *
 * Copyright 2019-2023 Ichiji Tadokoro. All Rights Reserved.
 */

#include "_jdcs.h"

/*
 * Class:     rabbit_dcs_Dcs
 * Method:    setLtype
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_rabbit_dcs_Dcs_setLtype
  (JNIEnv *jenv, jobject jobj, jint jltype) {
	_JDcsInfo *info;
	GET_DCS_INFO_BY_OBJECT(jenv, jobj, info);
	set_ltype(info->dcs, jltype);
}
